<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>02_Intro to Networking</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

		<div class="reveal">
			<div class="slides">
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>Network Introduction</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>

					<section>
					    <h2>Objectives</h2>
					    <a href="../objectives.html" target="_blank">Introduction to Networking Objectives</a>
					</section>

					<section>
							<h2>Introduction to Networking Overview</h2>
							<ul>
    
                         <li>
                            <ul>A number is represented by a sequence of bytes.</ul>
							<b>Least Significant Byte (LSB)</b>
								<ul>The byte representing the smallest part of a number (e.g. the "ones")</ul>
							<b>Most Significant Byte (MSB)</b>
								<ul>The place representing the largest part of a number</ul>
                        </li>	
                        
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Endianness tells us how to read a grouping of bytes. </h2>
                        <ul>
                            <li>
								
                                <ul>
                                    <li>Big Endian - MSB is first</li>
									<li>Little Endian - LSB is first</li>
									
                                </ul>
                            
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>Endianness</h3>
						<img src="../../assets/Endianness_example.png" alt="ARP">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
                    <section>
                        <h2>Struct examples</h2>
						<pre>
							<code data-trim data-noescape>
								>>> import struct
								>>> struct.pack(' < i', 4253)
								'\x9d\x10\x00\x00'
								>>> struct.pack('>i', 4253)
								'\x00\x00\x10\x9
							</code>
						</pre>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>

                    </section>
                   	
				</section>
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>Netcat</h1>
					</section>
					<section>
							<h2>Known as a swiss army knife in networking</h2>
							<ul>
    
                         
							<ul>
								<li>‘Netcat’ derived from two words</li>
								<ul>‘net’ - network and ‘cat’ - concatenate files</ul>
								<li>Developed by *hobbit</li>
								<li>Netcat also used by Nmap</li>
								<li>Beauty – manual / program driven (automatic) </li>
								<li>It is available for all platforms</li>
							</ul>
                        
                        
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
						<h2>Netcat versions </h2>
						<h3>Terms used</h3>
                        <ul>
							<li>Netcat-Traditional: ( Original Version written by Hobbits)</li>
							<li>Netcat-OpenBSD (includes utilities like IPv6, proxies, Unix
								sockets)</li>
							<li>Ncat – used by Nmap (obviously better than other two)</li>
					
						</ul>
                    </section>
                    <section>
                        <h2>Netcat</h2>
						<ul>
							<li>LISTENER:</li>
							<ul>System on which netcat is listening for commands</ul>
							<li>ClIENT:</li>
							<ul>System which tries to connect to another using netcat and/or gives commands</ul>
					
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
						<h2>CHAT SERVER EXAMPLE</h2>
						<ul>
							<li>LISTENER:</li>
							<ul>nc -l -p 31337</ul>
							<li>ClIENT:</li>
							<ul>nc [IP address] 31337</ul>
							<li>NOTE:</li>
							<ul><li>This connection ends when socket is closed</li>
								<li>-k [continue listening after connection closes]</li>
								<li>-L [listen harder](for WINDOWS)</li>
								<b>COONECTION IS UNECRYPTED</b>
							<ul>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
					<section>
						<h2>Port Scanning</h2>
						<ul>
							<li>Scanning ports is one of the most common uses for Netcat.</li>
							<li>For example, to scan for open ports in the range 20-80 you would use the following command:</li>
							<ul>$ nc -z -v 10.10.8.8 20-80</ul>
							<li>the -v option to provide more verbose information</li>
							
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Netcat</h2>
						<ul>
							<li>
								<b>Intro to Netcat</b>
								<ul>
									<li>Netcat or NC is a utility tool that uses TCP and UDP connections to read and write in a network</li>
									<li>Netcat supports both IPv4/IPv6 and TCP/UDP.</li>
								
									
								</ul>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>Netcat</h2>
						<ul>
							<li>
								<b>Demo Labs</b>
							
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>Netcat Resources</h2>
						<ul>
							<li><a href="https://www.sans.org/security-resources/sec560/netcat_cheat_sheet_v1.pdf">Netcat cheatsheet</a></li>
							<li><a href="https://www.varonis.com/blog/netcat-commands/">Netcat Commands</a></li>
							<li><a href="https://39iosdev.gitlab.io/ccd-iqt/idf/network-programming/02-intro-to-networking/lab-0.html">Netcat Labs</a></a></li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
				</section>
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>NetWorks and Ports</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
							<h2>Networks and Ports Overview</h2>
							<ul>
    
                         <li>
							<b>Two main issues.</b> 
							<ul>
								<li>Addressing - Specifying a remote computer and service</li>
								<li>Data transport - Moving bits back and forth</li>
							</ul>
                        </li>	
                        
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>Networks and Ports</h3>
						<img src="../../assets/1.PNG" alt="net1">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>Network Addressing</h3>
						<img src="../../assets/2.PNG" alt="net2">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
                    <section>
                        <h2>Network Addressing </h2>
                        <ul>
                            <li>
								<b>Extracting RFC information</b>
                                <ul>
                                    <li>Machines have a hostname and IP address</li>
									<li>Programs/services have port numbers</li>
									
                                </ul>
                            
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Ports</h2>
						<ul>
                            <li>
								<b>Endpoints/Nodes</b>
                                <ul>
                                    <li>Each endpoint of a network connection is always represented by a host (URL/Domain/IP) and port.</li>
									<li>Ports are how processes get access to the network.</li>
									<li>In Python you write it out as a tuple(hose,port)</li>
									<ul>
										<li>("www.python.org", 80)</li>
										<li>("205.172.13.4", 443)</li>
									</ul>
									
                                </ul>
                            
                        </ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>Ports Table</h3>
						<img src="../../assets/ports.PNG" alt="ports">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
                    <section>
                        <h2>Network Ports</h2>
                        <ul><a href="https://www.utilizewindows.com/list-of-common-network-port-numbers/">Common Ports</a></ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Port Numbers</h2>
						<ul>
							<li>Port numbers < 1024 are considered "privileged" ports</li>
						
							<li>They are typically reserved for servers. IANA maintains the list of well known ports</li>
							<li><a href="http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml">IANA</a></li>
							<li><a href="https://web.mit.edu/rhel-doc/4/RH-DOCS/rhel-sg-en-4/ch-ports.html">Common Ports</a></li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Port Numbers Continued</h2>
						<ul>
							<li>Ports >= 1024 can be used by anyone</li>
							<li>This is called an “ephemeral port”</li>
							
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>			
				</section>
			</section>
			<section>
				<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
					<h1>Numbering Systems</h1>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				<section>
						<h2>Numbering Systems Overview</h2>
						<ul>

					 <li>
						<b>Various Systems</b> 
						<ul>
							<li>Decimal Representation</li>
							<li>Binary representation</li>
							<li>Octal representation</li>
							<li>Hexadecimal representation</li>
							<li><a href="https://www.rapidtables.com/math/number/Numeral_system.html">Number Table</a></li>
						</ul>
					</li>	
					
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				<section>
					<h3>Number systems Table</h3>
					<img src="../../assets/htod.PNG" alt="ports">
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				<section>
					
					<h3>Comparison Examples:</h3>
					
						
							Consider the following 12-digit binary number 
							and its octal and 
							hexadecimal equivalents
							<hr>
							<b>Conversion</b>
							<table>
								<tr>
									<th>Binary number</th>
									<th>octal </th>
									<th>Hexadecimal </th>
								</tr>
								<tr>
									<td>100011010001</td>
									<td>4321</td>
									<td>8D1</td>
								</tr>
							</table>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
				</section>
				<section>
					<h2>Octals</h2>
					<ul>
						<li>
							<b>Conversion</b>
							<table>
								<tr>
									<th>100</th>
									<th>011</th>
									<th>010</th>
									<th>001</th>
								</tr>
								<tr>
									<td>4</td>
									<td>3</td>
									<td>2</td>
									<td>1</td>
								</tr>
							</table>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
				</section>
				<section>
					<h2>Hex</h2>
					<ul>
						<li>
							<b>Conversion</b>
							<table>
								<tr>
									<th>1000</th>
									<th>1101</th>
									<th>0001</th>
									
								</tr>
								<tr>
									<td>8</td>
									<td>d</td>
									<td>1</td>
								</tr>
							</table>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
				</section>
				<section>
					<h2>Converting to Binary</h2>
					<ul>
						<li>the octal number 653 is converted to binary simply by writing</li>
						<li>the 6 as its 3-digit binary equivalent 110</li>
						<li>the 5 as its 3-digit binary equivalent 101 </li>
						<li>the 3 as its 3-digit binary equivalent 011</li>
						<hr>
						<li>forming the 9-digit binary number 110101011</li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				<section>
					<h2>Converting to Binary</h2>
					<ul>
						<li>The hexadecimal number FAD5 is converted to binary simply by writing </li>
						<li>the F as its 4-digit binary equivalent 1111</li>
						<li>the A as its 4-digit binary equivalent 1010</li>
						<li>the D as its 4-digit binary equivalent 1101</li>
						<li>the 5 as its 4-digit binary equivalent 0101</li>
						<hr>
						<li>forming the 16-digit 1111101011010101</li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>			
			
			<section>
				<h2>Convert Binary to Decimal</h2>
				<ul>
					<li>
						<b>Conversion</b>
						<hr>
						<table>
							<tr>
								<th>Example</th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								
							</tr>
							<tr>
								<td>Positional Values:</td>
								<td>32</td>
								<td>16</td>
								<td>8</td>
								<td>4</td>
								<td>2</td>
								<td>1</td>
							</tr>
							<tr>
								<td>Symbol Values</td>
								<td>1</td>
								<td>1</td>
								<td>0</td>
								<td>1</td>
								<td>0</td>
								<td>1</td>
							</tr>
							<tr>
								<td>Products</td>
								<td>32</td>
								<td>16</td>
								<td>0</td>
								<td>4</td>
								<td>0</td>
								<td>1</td>
							</tr> 
						</table>
						<hr>
						<b>Sum = 32 + 16 + 0 + 4 + 0 + 1 = 53</b>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
			</section>
			<section>
				<h2>Convert octal to Decimal</h2>
				<ul>
					<li>
						<b>Converting 7614 to 3980</b>
						<hr>
						<table>
							<tr>
								<th>Example</th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								
							</tr>
							<tr>
								<td>Positional Values:</td>
								<td>512</td>
								<td>64</td>
								<td>8</td>
								<td>1</td>
							</tr>
							<tr>
								<td>Symbol Values</td>
								<td>7</td>
								<td>6</td>
								<td>1</td>
								<td>4</td>
							</tr>
							<tr>
								<td>Products</td>
								<td>3584</td>
								<td>384</td>
								<td>8</td>
								<td>4</td>
							</tr> 
						</table>
						<hr>
						<b>Sum == 3584 + 384 + 8 + 4 = 3980</b>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
			</section>
			<section>
				<h2>Convert Hex to Decimal</h2>
				<ul>
					<li>
						<b>Converting AD3B to 44347</b>
						<hr>
						<table>
							<tr>
								<th>Example</th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								
							</tr>
							<tr>
								<td>Positional Values:</td>
								<td>4096</td>
								<td>256</td>
								<td>16</td>
								<td>1</td>
							</tr>
							<tr>
								<td>Symbol Values</td>
								<td>A</td>
								<td>D</td>
								<td>3</td>
								<td>B</td>
							</tr>
							<tr>
								<td>Products</td>
								<td>40960</td>
								<td>3328</td>
								<td>48</td>
								<td>11</td>
							</tr> 
						</table>
						<hr>
						<b>Sum = 40960 + 3328 + 48 + 11 = 44347</b>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
			</section>
			<section>
				<h2>Convert Decimal 57 to binary </h2>
				<hr>
				<b>Positional values: 64 32 16 8 4 2 1</b>
				<hr>
				<b>Positional values: 32 16 8 4 2 1</b>
				<hr>
				<b>Symbol values:     1 1 1 0 0 1</b>
				<hr>
				<b>and thus decimal 57 is equivalent to binary 111001</b>
				<aside class="notes">
					Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
				</aside>
			</section>
			<section>
				<h2>Convert Decimal 103 to Octal </h2>
				<hr>
				<b>Positional values: 512 64 8 1</b>
				<hr>
				<b>Positional values: 64 8 1</b>
				<hr>
				<b>Symbol values: 1 4 7</b>
				<hr>
				<b>and thus decimal 103 is equivalent to octal 147</b>
				<aside class="notes">
					Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
				</aside>
			</section>
			<section>
				<h2>Convert Decimal 375 to hexadecimal </h2>
				<hr>
				<b>Positional values: 4096 256 16 1</b>
				<hr>
				<b>Positional values: 256 16 1</b>
				<hr>
				<b>Symbol values: 1 7 7</b>
				<hr>
				<b>and thus decimal 375 is equivalent to hexadecimal 177</b>
				<aside class="notes">
					Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
				</aside>
			</section>
		</section>
		<section>
			<section>
				<h2>Conversion practice</h2>
					<ul>
						<li>Convert hexadecimal FACE to binary</li>
						<li>Convert octal 7316 to binary</li>
						<li>converty binary 1101110 to decimal</li>
						<li>Convert decimal 177 to binary, to octal, and to hexadecimal</li>
						<li>Convert hexadecimal EFD4 to decimal</li>
						<li>Convert octal 317 to decimal</li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
			</section>
		</section>
				


				
                

			</div>
		</div>
		<footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>		
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the 
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					custom: false,

					// Specifies the themes that will be available in the themes
					// menu panel. Set to 'true' to show the themes menu panel
					// with the default themes list. Alternatively, provide an
					// array to specify the themes to make available in the
					// themes menu panel, for example...
					// [
					//     { name: 'Black', theme: 'css/theme/black.css' },
					//     { name: 'White', theme: 'css/theme/white.css' },
					//     { name: 'League', theme: 'css/theme/league.css' }
					// ]
					themes: true,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own 
					// list of themes or 'themes' is set to 'false' the 
					// 'themesPath' option is ignored.
					themesPath: 'css/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: true,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must 
					// be displayed for this to take effect
					openSlideNumber: true,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard 
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes 
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true
				},
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/highlight/highlight.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/reveal.js-menu/menu.js' }
				]
			});
		</script>
	</body>
</html>
